educationUser を作成する
-
[アーティクル]
-
-
名前空間: microsoft.graph
新しい educationUser オブジェクトを作成 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 |
アクセス許可 (特権の小さいものから大きいものへ) |
| 委任 (職場または学校のアカウント) |
サポートされていません。 |
| 委任 (個人用 Microsoft アカウント) |
サポートされていません。 |
| アプリケーション |
EduRoster.ReadWrite.All |
HTTP 要求
POST /education/users
| 名前 |
説明 |
| Authorization |
ベアラー {token}。必須。 |
| Content-Type |
application/json. Required. |
要求本文
要求本文で、educationUser オブジェクトの JSON 表記を指定 します。
次の表に、educationUser を作成するときに必要なプロパティ を示します。
| プロパティ |
種類 |
説明 |
| accountEnabled |
Boolean |
アカウントが有効な場合は true。それ以外の場合は false。 このプロパティは、ユーザーの作成時に必要です。 $filter をサポートします。 |
| assignedLicenses |
assignedLicense collection |
ユーザーに割り当てられているライセンス。null 許容ではありません。 |
| assignedPlans |
assignedPlan collection |
ユーザーに割り当てられているプラン。読み取り専用です。null 許容ではありません。 |
| businessPhones |
String collection |
ユーザーの電話番号。 メモ: 文字列コレクションですが、このプロパティに設定できるのは 1 つの数字のみです。 |
| createdBy |
identitySet |
ユーザーを作成したエンティティ。 |
| department |
String |
ユーザーが働いている部門の名前。$filter をサポートします。 |
| displayName |
String |
アドレス帳に表示されるユーザーの名前。 これは通常、ユーザーの名前、ミドルネームのイニシャル、姓の組み合わせになります。 このプロパティはユーザーの作成時に必須です。更新時にクリアすることはできません。 $filter および $orderby をサポートします。 |
| externalSource |
educationExternalSource |
このユーザーが作成された場所。 可能な値は、sis、manual です。 |
| externalSourceDetail |
String |
このリソースが生成された外部ソースの名前。 |
| givenName |
String |
ユーザーの名。$filter をサポートします。 |
| mail |
String |
ユーザーの SMTP アドレス (たとえば、"jeff@contoso.onmicrosoft.com")。 読み取り専用です。 $filter をサポートします。 |
| mailingAddress |
physicalAddress |
ユーザーのメール アドレス。 |
| mailNickname |
String |
ユーザーの電子メール エイリアス。ユーザーの作成時に、このプロパティを指定する必要があります。$filter をサポートします。 |
| middleName |
String |
ユーザーのミドル ネーム。 |
| mobilePhone |
String |
ユーザーの主な携帯電話の番号。 |
| onPremisesInfo |
educationOnPremisesInfo |
ユーザーを Active Directory AAD関連付ける追加情報。 |
| passwordPolicies |
String |
ユーザーのパスワード ポリシーを指定します。 この値は列挙値であり、可能な 1 つの値は "DisableStrongPassword" です。この場合は、既定のポリシーより弱いパスワードを指定できます。 "DisablePasswordExpiration" を指定することもできます。 2 つを一緒に指定できます。例: "DisablePasswordExpiration、DisableStrongPassword"。 |
| passwordProfile |
passwordProfile |
ユーザーのパスワード プロファイルを指定します。プロファイルには、ユーザーのパスワードが含まれています。このプロパティは、ユーザーの作成時に必要です。プロファイルにあるパスワードは、passwordPolicies プロパティによって指定されている最小要件を満たす必要があります。既定では、強力なパスワードが必要です。 |
| preferredLanguage |
String |
ユーザーが設定する言語。 ISO 639-1 コードに従う必要があります。例: "en-US"。 |
| primaryRole |
educationUserRole |
ユーザーの既定のロール。 ユーザーのロールは、個々のクラスで異なる場合があります。 使用可能な値: student、teacher、none。 |
| provisionedPlans |
ProvisionedPlan コレクション |
ユーザーのために用意されたプラン。読み取り専用です。null 許容ではありません。 |
| residenceAddress |
physicalAddress |
ユーザーが在住している場所のアドレス。 |
| student |
educationStudent |
プライマリ ロールが学生の場合、このブロックには学生固有のデータが含まれます。 |
| 姓 |
String |
ユーザーの姓。$filter をサポートします。 |
| teacher |
educationTeacher |
主な役割が教師の場合、このブロックには教師固有のデータが含まれる。 |
| usageLocation |
String |
2 文字の国コード (ISO 規格 3166) 国や地域におけるサービスの利用可能性を確認することが法的に義務付けられているため、ライセンスを割り当てられるユーザーには必須です。 たとえば、"US"、"JP"、"GB" などです。 null 許容ではありません。 $filter をサポートします。 |
| userPrincipalName |
String |
ユーザーのユーザー プリンシパル名 (UPN)。 |
| userType |
String |
ディレクトリ内のユーザーの種類を分類するために使用する文字列値 (“Member”、“Guest” など)。 $filter をサポートします。 |
応答
成功した場合、このメソッドは 201 Created 応答コードと、応答本文で educationUser オブジェクトを返します。
例
要求
POST https://graph.microsoft.com/v1.0/education/users
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.educationUser",
"primaryRole": "String",
"middleName": "String",
"externalSource": "String",
"externalSourceDetail": "String",
"residenceAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"mailingAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"student": {
"@odata.type": "microsoft.graph.educationStudent"
},
"teacher": {
"@odata.type": "microsoft.graph.educationTeacher"
},
"createdBy": {
"@odata.type": "microsoft.graph.identitySet"
},
"accountEnabled": "Boolean",
"assignedLicenses": [
{
"@odata.type": "microsoft.graph.assignedLicense"
}
],
"assignedPlans": [
{
"@odata.type": "microsoft.graph.assignedPlan"
}
],
"businessPhones": [
"String"
],
"department": "String",
"displayName": "String",
"givenName": "String",
"mail": "String",
"mailNickname": "String",
"mobilePhone": "String",
"passwordPolicies": "String",
"passwordProfile": {
"@odata.type": "microsoft.graph.passwordProfile"
},
"officeLocation": "String",
"preferredLanguage": "String",
"provisionedPlans": [
{
"@odata.type": "microsoft.graph.provisionedPlan"
}
],
"refreshTokensValidFromDateTime": "String (timestamp)",
"showInAddressList": "Boolean",
"surname": "String",
"usageLocation": "String",
"userPrincipalName": "String",
"userType": "String",
"onPremisesInfo": {
"@odata.type": "microsoft.graph.educationOnPremisesInfo"
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var educationUser = new EducationUser
{
PrimaryRole = EducationUserRole.Student,
MiddleName = "String",
ExternalSource = EducationExternalSource.Sis,
ExternalSourceDetail = "String",
ResidenceAddress = new PhysicalAddress
{
},
MailingAddress = new PhysicalAddress
{
},
Student = new EducationStudent
{
},
Teacher = new EducationTeacher
{
},
CreatedBy = new IdentitySet
{
},
AccountEnabled = false,
AssignedLicenses = new List<AssignedLicense>()
{
new AssignedLicense
{
}
},
AssignedPlans = new List<AssignedPlan>()
{
new AssignedPlan
{
}
},
BusinessPhones = new List<String>()
{
"String"
},
Department = "String",
DisplayName = "String",
GivenName = "String",
Mail = "String",
MailNickname = "String",
MobilePhone = "String",
PasswordPolicies = "String",
PasswordProfile = new PasswordProfile
{
},
OfficeLocation = "String",
PreferredLanguage = "String",
ProvisionedPlans = new List<ProvisionedPlan>()
{
new ProvisionedPlan
{
}
},
RefreshTokensValidFromDateTime = DateTimeOffset.Parse("String (timestamp)"),
ShowInAddressList = false,
Surname = "String",
UsageLocation = "String",
UserPrincipalName = "String",
UserType = "String",
OnPremisesInfo = new EducationOnPremisesInfo
{
}
};
await graphClient.Education.Users
.Request()
.AddAsync(educationUser);
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
const options = {
authProvider,
};
const client = Client.init(options);
const educationUser = {
'@odata.type': '#microsoft.graph.educationUser',
primaryRole: 'String',
middleName: 'String',
externalSource: 'String',
externalSourceDetail: 'String',
residenceAddress: {
'@odata.type': 'microsoft.graph.physicalAddress'
},
mailingAddress: {
'@odata.type': 'microsoft.graph.physicalAddress'
},
student: {
'@odata.type': 'microsoft.graph.educationStudent'
},
teacher: {
'@odata.type': 'microsoft.graph.educationTeacher'
},
createdBy: {
'@odata.type': 'microsoft.graph.identitySet'
},
accountEnabled: 'Boolean',
assignedLicenses: [
{
'@odata.type': 'microsoft.graph.assignedLicense'
}
],
assignedPlans: [
{
'@odata.type': 'microsoft.graph.assignedPlan'
}
],
businessPhones: [
'String'
],
department: 'String',
displayName: 'String',
givenName: 'String',
mail: 'String',
mailNickname: 'String',
mobilePhone: 'String',
passwordPolicies: 'String',
passwordProfile: {
'@odata.type': 'microsoft.graph.passwordProfile'
},
officeLocation: 'String',
preferredLanguage: 'String',
provisionedPlans: [
{
'@odata.type': 'microsoft.graph.provisionedPlan'
}
],
refreshTokensValidFromDateTime: 'String (timestamp)',
showInAddressList: 'Boolean',
surname: 'String',
usageLocation: 'String',
userPrincipalName: 'String',
userType: 'String',
onPremisesInfo: {
'@odata.type': 'microsoft.graph.educationOnPremisesInfo'
}
};
await client.api('/education/users')
.post(educationUser);
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/users"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEducationUser *educationUser = [[MSGraphEducationUser alloc] init];
[educationUser setPrimaryRole: [MSGraphEducationUserRole student]];
[educationUser setMiddleName:@"String"];
[educationUser setExternalSource: [MSGraphEducationExternalSource sis]];
[educationUser setExternalSourceDetail:@"String"];
MSGraphPhysicalAddress *residenceAddress = [[MSGraphPhysicalAddress alloc] init];
[educationUser setResidenceAddress:residenceAddress];
MSGraphPhysicalAddress *mailingAddress = [[MSGraphPhysicalAddress alloc] init];
[educationUser setMailingAddress:mailingAddress];
MSGraphEducationStudent *student = [[MSGraphEducationStudent alloc] init];
[educationUser setStudent:student];
MSGraphEducationTeacher *teacher = [[MSGraphEducationTeacher alloc] init];
[educationUser setTeacher:teacher];
MSGraphIdentitySet *createdBy = [[MSGraphIdentitySet alloc] init];
[educationUser setCreatedBy:createdBy];
[educationUser setAccountEnabled:@"Boolean"];
NSMutableArray *assignedLicensesList = [[NSMutableArray alloc] init];
MSGraphAssignedLicense *assignedLicenses = [[MSGraphAssignedLicense alloc] init];
[assignedLicensesList addObject: assignedLicenses];
[educationUser setAssignedLicenses:assignedLicensesList];
NSMutableArray *assignedPlansList = [[NSMutableArray alloc] init];
MSGraphAssignedPlan *assignedPlans = [[MSGraphAssignedPlan alloc] init];
[assignedPlansList addObject: assignedPlans];
[educationUser setAssignedPlans:assignedPlansList];
NSMutableArray *businessPhonesList = [[NSMutableArray alloc] init];
[businessPhonesList addObject: @"String"];
[educationUser setBusinessPhones:businessPhonesList];
[educationUser setDepartment:@"String"];
[educationUser setDisplayName:@"String"];
[educationUser setGivenName:@"String"];
[educationUser setMail:@"String"];
[educationUser setMailNickname:@"String"];
[educationUser setMobilePhone:@"String"];
[educationUser setPasswordPolicies:@"String"];
MSGraphPasswordProfile *passwordProfile = [[MSGraphPasswordProfile alloc] init];
[educationUser setPasswordProfile:passwordProfile];
[educationUser setOfficeLocation:@"String"];
[educationUser setPreferredLanguage:@"String"];
NSMutableArray *provisionedPlansList = [[NSMutableArray alloc] init];
MSGraphProvisionedPlan *provisionedPlans = [[MSGraphProvisionedPlan alloc] init];
[provisionedPlansList addObject: provisionedPlans];
[educationUser setProvisionedPlans:provisionedPlansList];
[educationUser setRefreshTokensValidFromDateTime:@"String (timestamp)"];
[educationUser setShowInAddressList:@"Boolean"];
[educationUser setSurname:@"String"];
[educationUser setUsageLocation:@"String"];
[educationUser setUserPrincipalName:@"String"];
[educationUser setUserType:@"String"];
MSGraphEducationOnPremisesInfo *onPremisesInfo = [[MSGraphEducationOnPremisesInfo alloc] init];
[educationUser setOnPremisesInfo:onPremisesInfo];
NSError *error;
NSData *educationUserData = [educationUser getSerializedDataWithError:&error];
[urlRequest setHTTPBody:educationUserData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
EducationUser educationUser = new EducationUser();
educationUser.primaryRole = EducationUserRole.STUDENT;
educationUser.middleName = "String";
educationUser.externalSource = EducationExternalSource.SIS;
educationUser.externalSourceDetail = "String";
PhysicalAddress residenceAddress = new PhysicalAddress();
educationUser.residenceAddress = residenceAddress;
PhysicalAddress mailingAddress = new PhysicalAddress();
educationUser.mailingAddress = mailingAddress;
EducationStudent student = new EducationStudent();
educationUser.student = student;
EducationTeacher teacher = new EducationTeacher();
educationUser.teacher = teacher;
IdentitySet createdBy = new IdentitySet();
educationUser.createdBy = createdBy;
educationUser.accountEnabled = false;
LinkedList<AssignedLicense> assignedLicensesList = new LinkedList<AssignedLicense>();
AssignedLicense assignedLicenses = new AssignedLicense();
assignedLicensesList.add(assignedLicenses);
educationUser.assignedLicenses = assignedLicensesList;
LinkedList<AssignedPlan> assignedPlansList = new LinkedList<AssignedPlan>();
AssignedPlan assignedPlans = new AssignedPlan();
assignedPlansList.add(assignedPlans);
educationUser.assignedPlans = assignedPlansList;
LinkedList<String> businessPhonesList = new LinkedList<String>();
businessPhonesList.add("String");
educationUser.businessPhones = businessPhonesList;
educationUser.department = "String";
educationUser.displayName = "String";
educationUser.givenName = "String";
educationUser.mail = "String";
educationUser.mailNickname = "String";
educationUser.mobilePhone = "String";
educationUser.passwordPolicies = "String";
PasswordProfile passwordProfile = new PasswordProfile();
educationUser.passwordProfile = passwordProfile;
educationUser.officeLocation = "String";
educationUser.preferredLanguage = "String";
LinkedList<ProvisionedPlan> provisionedPlansList = new LinkedList<ProvisionedPlan>();
ProvisionedPlan provisionedPlans = new ProvisionedPlan();
provisionedPlansList.add(provisionedPlans);
educationUser.provisionedPlans = provisionedPlansList;
educationUser.refreshTokensValidFromDateTime = OffsetDateTimeSerializer.deserialize("String (timestamp)");
educationUser.showInAddressList = false;
educationUser.surname = "String";
educationUser.usageLocation = "String";
educationUser.userPrincipalName = "String";
educationUser.userType = "String";
EducationOnPremisesInfo onPremisesInfo = new EducationOnPremisesInfo();
educationUser.onPremisesInfo = onPremisesInfo;
graphClient.education().users()
.buildRequest()
.post(educationUser);
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewEducationUser()
primaryRole := "String"
requestBody.SetPrimaryRole(&primaryRole)
middleName := "String"
requestBody.SetMiddleName(&middleName)
externalSource := "String"
requestBody.SetExternalSource(&externalSource)
externalSourceDetail := "String"
requestBody.SetExternalSourceDetail(&externalSourceDetail)
residenceAddress := msgraphsdk.NewPhysicalAddress()
requestBody.SetResidenceAddress(residenceAddress)
residenceAddress.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.physicalAddress",
}
mailingAddress := msgraphsdk.NewPhysicalAddress()
requestBody.SetMailingAddress(mailingAddress)
mailingAddress.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.physicalAddress",
}
student := msgraphsdk.NewEducationStudent()
requestBody.SetStudent(student)
student.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationStudent",
}
teacher := msgraphsdk.NewEducationTeacher()
requestBody.SetTeacher(teacher)
teacher.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationTeacher",
}
createdBy := msgraphsdk.NewIdentitySet()
requestBody.SetCreatedBy(createdBy)
createdBy.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.identitySet",
}
accountEnabled := "Boolean"
requestBody.SetAccountEnabled(&accountEnabled)
requestBody.SetAssignedLicenses( []AssignedLicense {
msgraphsdk.NewAssignedLicense(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.assignedLicense",
}
}
requestBody.SetAssignedPlans( []AssignedPlan {
msgraphsdk.NewAssignedPlan(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.assignedPlan",
}
}
requestBody.SetBusinessPhones( []String {
"String",
}
department := "String"
requestBody.SetDepartment(&department)
displayName := "String"
requestBody.SetDisplayName(&displayName)
givenName := "String"
requestBody.SetGivenName(&givenName)
mail := "String"
requestBody.SetMail(&mail)
mailNickname := "String"
requestBody.SetMailNickname(&mailNickname)
mobilePhone := "String"
requestBody.SetMobilePhone(&mobilePhone)
passwordPolicies := "String"
requestBody.SetPasswordPolicies(&passwordPolicies)
passwordProfile := msgraphsdk.NewPasswordProfile()
requestBody.SetPasswordProfile(passwordProfile)
passwordProfile.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.passwordProfile",
}
officeLocation := "String"
requestBody.SetOfficeLocation(&officeLocation)
preferredLanguage := "String"
requestBody.SetPreferredLanguage(&preferredLanguage)
requestBody.SetProvisionedPlans( []ProvisionedPlan {
msgraphsdk.NewProvisionedPlan(),
SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.provisionedPlan",
}
}
refreshTokensValidFromDateTime, err := time.Parse(time.RFC3339, "String (timestamp)")
requestBody.SetRefreshTokensValidFromDateTime(&refreshTokensValidFromDateTime)
showInAddressList := "Boolean"
requestBody.SetShowInAddressList(&showInAddressList)
surname := "String"
requestBody.SetSurname(&surname)
usageLocation := "String"
requestBody.SetUsageLocation(&usageLocation)
userPrincipalName := "String"
requestBody.SetUserPrincipalName(&userPrincipalName)
userType := "String"
requestBody.SetUserType(&userType)
onPremisesInfo := msgraphsdk.NewEducationOnPremisesInfo()
requestBody.SetOnPremisesInfo(onPremisesInfo)
onPremisesInfo.SetAdditionalData(map[string]interface{}{
"@odata.type": "microsoft.graph.educationOnPremisesInfo",
}
requestBody.SetAdditionalData(map[string]interface{}{
"@odata.type": "#microsoft.graph.educationUser",
}
result, err := graphClient.Education().Users().Post(requestBody)
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
Import-Module Microsoft.Graph.Education
$params = @{
"@odata.type" = "#microsoft.graph.educationUser"
PrimaryRole = "String"
MiddleName = "String"
ExternalSource = "String"
ExternalSourceDetail = "String"
ResidenceAddress = @{
"@odata.type" = "microsoft.graph.physicalAddress"
}
MailingAddress = @{
"@odata.type" = "microsoft.graph.physicalAddress"
}
Student = @{
"@odata.type" = "microsoft.graph.educationStudent"
}
Teacher = @{
"@odata.type" = "microsoft.graph.educationTeacher"
}
CreatedBy = @{
"@odata.type" = "microsoft.graph.identitySet"
}
AccountEnabled = "Boolean"
AssignedLicenses = @(
@{
"@odata.type" = "microsoft.graph.assignedLicense"
}
)
AssignedPlans = @(
@{
"@odata.type" = "microsoft.graph.assignedPlan"
}
)
BusinessPhones = @(
"String"
)
Department = "String"
DisplayName = "String"
GivenName = "String"
Mail = "String"
MailNickname = "String"
MobilePhone = "String"
PasswordPolicies = "String"
PasswordProfile = @{
"@odata.type" = "microsoft.graph.passwordProfile"
}
OfficeLocation = "String"
PreferredLanguage = "String"
ProvisionedPlans = @(
@{
"@odata.type" = "microsoft.graph.provisionedPlan"
}
)
RefreshTokensValidFromDateTime = [System.DateTime]::Parse("String (timestamp)")
ShowInAddressList = "Boolean"
Surname = "String"
UsageLocation = "String"
UserPrincipalName = "String"
UserType = "String"
OnPremisesInfo = @{
"@odata.type" = "microsoft.graph.educationOnPremisesInfo"
}
}
New-MgEducationUser -BodyParameter $params
SDK をプロジェクトに追加し、authProvider インスタンスを作成する方法の詳細については、SDK のドキュメントを参照してください。
応答
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 201 Created
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.educationUser",
"id": "90eedea1-dea1-90ee-a1de-ee90a1deee90",
"primaryRole": "String",
"middleName": "String",
"externalSource": "String",
"externalSourceDetail": "String",
"residenceAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"mailingAddress": {
"@odata.type": "microsoft.graph.physicalAddress"
},
"student": {
"@odata.type": "microsoft.graph.educationStudent"
},
"teacher": {
"@odata.type": "microsoft.graph.educationTeacher"
},
"createdBy": {
"@odata.type": "microsoft.graph.identitySet"
},
"accountEnabled": "Boolean",
"assignedLicenses": [
{
"@odata.type": "microsoft.graph.assignedLicense"
}
],
"assignedPlans": [
{
"@odata.type": "microsoft.graph.assignedPlan"
}
],
"businessPhones": [
"String"
],
"department": "String",
"displayName": "String",
"givenName": "String",
"mail": "String",
"mailNickname": "String",
"mobilePhone": "String",
"passwordPolicies": "String",
"passwordProfile": {
"@odata.type": "microsoft.graph.passwordProfile"
},
"officeLocation": "String",
"preferredLanguage": "String",
"provisionedPlans": [
{
"@odata.type": "microsoft.graph.provisionedPlan"
}
],
"refreshTokensValidFromDateTime": "String (timestamp)",
"showInAddressList": "Boolean",
"surname": "String",
"usageLocation": "String",
"userPrincipalName": "String",
"userType": "String",
"onPremisesInfo": {
"@odata.type": "microsoft.graph.educationOnPremisesInfo"
}
}